Memory Stores
Search memories
Searches the specified memory store for memories relevant to the provided conversation context.
Parametry nagłówka
Foundry-Features
enum
wymagane
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry ścieżki
name
string
wymagane
The name of the memory store to search.
Parametry zapytań
api-version
string
wymagane
The API version to use for this operation.
Treść żądania
scope
string
wymagane
The namespace that logically groups and isolates memories, such as a user ID.
items
OpenAI.InputItem[]
Items for which to search for relevant memories.
previous_search_id
string
The unique ID of the previous search request, enabling incremental memory search from where the last operation left off.
options
MemorySearchOptions
Memory search options.
max_memories
integer
Maximum number of memory items to return.
Odpowiedzi
The request has succeeded.
Treść
search_id
string
wymagane
The unique ID of this search request. Use this value as previous_search_id in subsequent requests to perform incremental searches.
memories
MemorySearchItem[]
wymagane
Related memory items found during the search operation.
usage
MemoryStoreOperationUsage
wymagane
Usage statistics of a memory store operation.
embedding_tokens
integer
wymagane
The number of embedding tokens.
input_tokens_details
OpenAI.ResponseUsageInputTokensDetails
wymagane
output_tokens_details
OpenAI.ResponseUsageOutputTokensDetails
wymagane
Żądanie
POST /memory_stores/{name}:search_memories HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json